const ALLOW_EMPTY_CLASS = UInt32(0x00000001)
const ALT_BSUX = UInt32(0x00000002)
const ALT_CIRCUMFLEX = UInt32(0x00200000)
const ALT_VERBNAMES = UInt32(0x00400000)
const ANCHORED = UInt32(0x80000000)
const AUTO_CALLOUT = UInt32(0x00000004)
const BSR_ANYCRLF = UInt32(2)
const BSR_UNICODE = UInt32(1)
const CALLOUT_BACKTRACK = UInt32(0x00000002)
const CALLOUT_STARTMATCH = UInt32(0x00000001)
const CASELESS = UInt32(0x00000008)
const CODE_UNIT_WIDTH = UInt32(8)
const CONFIG_BSR = UInt32(0)
const CONFIG_COMPILED_WIDTHS = UInt32(14)
const CONFIG_DEPTHLIMIT = UInt32(7)
const CONFIG_HEAPLIMIT = UInt32(12)
const CONFIG_JIT = UInt32(1)
const CONFIG_JITTARGET = UInt32(2)
const CONFIG_LINKSIZE = UInt32(3)
const CONFIG_MATCHLIMIT = UInt32(4)
const CONFIG_NEVER_BACKSLASH_C = UInt32(13)
const CONFIG_NEWLINE = UInt32(5)
const CONFIG_PARENSLIMIT = UInt32(6)
const CONFIG_RECURSIONLIMIT = UInt32(7)
const CONFIG_STACKRECURSE = UInt32(8)
const CONFIG_UNICODE = UInt32(9)
const CONFIG_UNICODE_VERSION = UInt32(10)
const CONFIG_VERSION = UInt32(11)
const CONVERT_GLOB = UInt32(0x00000010)
const CONVERT_GLOB_NO_STARSTAR = UInt32(0x00000050)
const CONVERT_GLOB_NO_WILD_SEPARATOR = UInt32(0x00000030)
const CONVERT_NO_UTF_CHECK = UInt32(0x00000002)
const CONVERT_POSIX_BASIC = UInt32(0x00000004)
const CONVERT_POSIX_EXTENDED = UInt32(0x00000008)
const CONVERT_UTF = UInt32(0x00000001)
const DFA_RESTART = UInt32(0x00000040)
const DFA_SHORTEST = UInt32(0x00000080)
const DOLLAR_ENDONLY = UInt32(0x00000010)
const DOTALL = UInt32(0x00000020)
const DUPNAMES = UInt32(0x00000040)
const ENDANCHORED = UInt32(0x20000000)
const ERROR_BACKSLASH_C_CALLER_DISABLED = UInt32(183)
const ERROR_BACKSLASH_C_LIBRARY_DISABLED = UInt32(185)
const ERROR_BACKSLASH_C_SYNTAX = UInt32(168)
const ERROR_BACKSLASH_G_SYNTAX = UInt32(157)
const ERROR_BACKSLASH_K_SYNTAX = UInt32(169)
const ERROR_BACKSLASH_N_IN_CLASS = UInt32(171)
const ERROR_BACKSLASH_O_MISSING_BRACE = UInt32(155)
const ERROR_BACKSLASH_U_CODE_POINT_TOO_BIG = UInt32(177)
const ERROR_BAD_LITERAL_OPTIONS = UInt32(192)
const ERROR_BAD_OPTIONS = UInt32(117)
const ERROR_BAD_RELATIVE_REFERENCE = UInt32(129)
const ERROR_BAD_SUBPATTERN_REFERENCE = UInt32(115)
const ERROR_CALLOUT_BAD_STRING_DELIMITER = UInt32(182)
const ERROR_CALLOUT_NO_STRING_DELIMITER = UInt32(181)
const ERROR_CALLOUT_NUMBER_TOO_BIG = UInt32(138)
const ERROR_CALLOUT_STRING_TOO_LONG = UInt32(172)
const ERROR_CLASS_INVALID_RANGE = UInt32(150)
const ERROR_CLASS_RANGE_ORDER = UInt32(108)
const ERROR_CODE_POINT_TOO_BIG = UInt32(134)
const ERROR_CONDITION_ASSERTION_EXPECTED = UInt32(128)
const ERROR_DEFINE_TOO_MANY_BRANCHES = UInt32(154)
const ERROR_DUPLICATE_SUBPATTERN_NAME = UInt32(143)
const ERROR_END_BACKSLASH = UInt32(101)
const ERROR_END_BACKSLASH_C = UInt32(102)
const ERROR_ESCAPE_INVALID_IN_CLASS = UInt32(107)
const ERROR_ESCAPE_INVALID_IN_VERB = UInt32(140)
const ERROR_HEAP_FAILED = UInt32(121)
const ERROR_INTERNAL_BAD_CODE = UInt32(189)
const ERROR_INTERNAL_BAD_CODE_AUTO_POSSESS = UInt32(180)
const ERROR_INTERNAL_BAD_CODE_IN_SKIP = UInt32(190)
const ERROR_INTERNAL_BAD_CODE_LOOKBEHINDS = UInt32(170)
const ERROR_INTERNAL_CODE_OVERFLOW = UInt32(123)
const ERROR_INTERNAL_MISSING_SUBPATTERN = UInt32(153)
const ERROR_INTERNAL_OVERRAN_WORKSPACE = UInt32(152)
const ERROR_INTERNAL_PARSED_OVERFLOW = UInt32(163)
const ERROR_INTERNAL_STUDY_ERROR = UInt32(131)
const ERROR_INTERNAL_UNEXPECTED_REPEAT = UInt32(110)
const ERROR_INTERNAL_UNKNOWN_NEWLINE = UInt32(156)
const ERROR_INVALID_AFTER_PARENS_QUERY = UInt32(111)
const ERROR_INVALID_HEXADECIMAL = UInt32(167)
const ERROR_INVALID_OCTAL = UInt32(164)
const ERROR_INVALID_SUBPATTERN_NAME = UInt32(144)
const ERROR_LOOKBEHIND_INVALID_BACKSLASH_C = UInt32(136)
const ERROR_LOOKBEHIND_NOT_FIXED_LENGTH = UInt32(125)
const ERROR_LOOKBEHIND_TOO_COMPLICATED = UInt32(135)
const ERROR_LOOKBEHIND_TOO_LONG = UInt32(187)
const ERROR_MALFORMED_UNICODE_PROPERTY = UInt32(146)
const ERROR_MARK_MISSING_ARGUMENT = UInt32(166)
const ERROR_MISSING_CALLOUT_CLOSING = UInt32(139)
const ERROR_MISSING_CLOSING_PARENTHESIS = UInt32(114)
const ERROR_MISSING_COMMENT_CLOSING = UInt32(118)
const ERROR_MISSING_CONDITION_CLOSING = UInt32(124)
const ERROR_MISSING_NAME_TERMINATOR = UInt32(142)
const ERROR_MISSING_OCTAL_OR_HEX_DIGITS = UInt32(178)
const ERROR_MISSING_SQUARE_BRACKET = UInt32(106)
const ERROR_NO_SURROGATES_IN_UTF16 = UInt32(191)
const ERROR_NULL_PATTERN = UInt32(116)
const ERROR_OCTAL_BYTE_TOO_BIG = UInt32(151)
const ERROR_PARENS_QUERY_R_MISSING_CLOSING = UInt32(158)
const ERROR_PARENTHESES_NEST_TOO_DEEP = UInt32(119)
const ERROR_PARENTHESES_STACK_CHECK = UInt32(133)
const ERROR_PATTERN_STRING_TOO_LONG = UInt32(188)
const ERROR_PATTERN_TOO_COMPLICATED = UInt32(186)
const ERROR_PATTERN_TOO_LARGE = UInt32(120)
const ERROR_POSIX_CLASS_NOT_IN_CLASS = UInt32(112)
const ERROR_POSIX_NO_SUPPORT_COLLATING = UInt32(113)
const ERROR_QUANTIFIER_INVALID = UInt32(109)
const ERROR_QUANTIFIER_OUT_OF_ORDER = UInt32(104)
const ERROR_QUANTIFIER_TOO_BIG = UInt32(105)
const ERROR_QUERY_BARJX_NEST_TOO_DEEP = UInt32(184)
const ERROR_SUBPATTERN_NAMES_MISMATCH = UInt32(165)
const ERROR_SUBPATTERN_NAME_EXPECTED = UInt32(162)
const ERROR_SUBPATTERN_NAME_TOO_LONG = UInt32(148)
const ERROR_SUBPATTERN_NUMBER_TOO_BIG = UInt32(161)
const ERROR_TOO_MANY_CONDITION_BRANCHES = UInt32(127)
const ERROR_TOO_MANY_NAMED_SUBPATTERNS = UInt32(149)
const ERROR_UCP_IS_DISABLED = UInt32(175)
const ERROR_UNICODE_DISALLOWED_CODE_POINT = UInt32(173)
const ERROR_UNICODE_NOT_SUPPORTED = UInt32(132)
const ERROR_UNICODE_PROPERTIES_UNAVAILABLE = UInt32(145)
const ERROR_UNKNOWN_ESCAPE = UInt32(103)
const ERROR_UNKNOWN_POSIX_CLASS = UInt32(130)
const ERROR_UNKNOWN_UNICODE_PROPERTY = UInt32(147)
const ERROR_UNMATCHED_CLOSING_PARENTHESIS = UInt32(122)
const ERROR_UNRECOGNIZED_AFTER_QUERY_P = UInt32(141)
const ERROR_UNSUPPORTED_ESCAPE_SEQUENCE = UInt32(137)
const ERROR_UTF_IS_DISABLED = UInt32(174)
const ERROR_VERB_ARGUMENT_NOT_ALLOWED = UInt32(159)
const ERROR_VERB_NAME_TOO_LONG = UInt32(176)
const ERROR_VERB_UNKNOWN = UInt32(160)
const ERROR_VERSION_CONDITION_SYNTAX = UInt32(179)
const ERROR_ZERO_RELATIVE_REFERENCE = UInt32(126)
const EXTENDED = UInt32(0x00000080)
const EXTENDED_MORE = UInt32(0x01000000)
const EXTRA_ALLOW_SURROGATE_ESCAPES = UInt32(0x00000001)
const EXTRA_BAD_ESCAPE_IS_LITERAL = UInt32(0x00000002)
const EXTRA_MATCH_LINE = UInt32(0x00000008)
const EXTRA_MATCH_WORD = UInt32(0x00000004)
const FIRSTLINE = UInt32(0x00000100)
const INFO_ALLOPTIONS = UInt32(0)
const INFO_ARGOPTIONS = UInt32(1)
const INFO_BACKREFMAX = UInt32(2)
const INFO_BSR = UInt32(3)
const INFO_CAPTURECOUNT = UInt32(4)
const INFO_DEPTHLIMIT = UInt32(21)
const INFO_EXTRAOPTIONS = UInt32(26)
const INFO_FIRSTBITMAP = UInt32(7)
const INFO_FIRSTCODETYPE = UInt32(6)
const INFO_FIRSTCODEUNIT = UInt32(5)
const INFO_FRAMESIZE = UInt32(24)
const INFO_HASBACKSLASHC = UInt32(23)
const INFO_HASCRORLF = UInt32(8)
const INFO_HEAPLIMIT = UInt32(25)
const INFO_JCHANGED = UInt32(9)
const INFO_JITSIZE = UInt32(10)
const INFO_LASTCODETYPE = UInt32(12)
const INFO_LASTCODEUNIT = UInt32(11)
const INFO_MATCHEMPTY = UInt32(13)
const INFO_MATCHLIMIT = UInt32(14)
const INFO_MAXLOOKBEHIND = UInt32(15)
const INFO_MINLENGTH = UInt32(16)
const INFO_NAMECOUNT = UInt32(17)
const INFO_NAMEENTRYSIZE = UInt32(18)
const INFO_NAMETABLE = UInt32(19)
const INFO_NEWLINE = UInt32(20)
const INFO_RECURSIONLIMIT = UInt32(21)
const INFO_SIZE = UInt32(22)
const JIT_COMPLETE = UInt32(0x00000001)
const JIT_PARTIAL_HARD = UInt32(0x00000004)
const JIT_PARTIAL_SOFT = UInt32(0x00000002)
const LITERAL = UInt32(0x02000000)
const MAJOR = UInt32(10)
const MATCH_UNSET_BACKREF = UInt32(0x00000200)
const MINOR = UInt32(31)
const MULTILINE = UInt32(0x00000400)
const NEVER_BACKSLASH_C = UInt32(0x00100000)
const NEVER_UCP = UInt32(0x00000800)
const NEVER_UTF = UInt32(0x00001000)
const NEWLINE_ANY = UInt32(4)
const NEWLINE_ANYCRLF = UInt32(5)
const NEWLINE_CR = UInt32(1)
const NEWLINE_CRLF = UInt32(3)
const NEWLINE_LF = UInt32(2)
const NEWLINE_NUL = UInt32(6)
const NOTBOL = UInt32(0x00000001)
const NOTEMPTY = UInt32(0x00000004)
const NOTEMPTY_ATSTART = UInt32(0x00000008)
const NOTEOL = UInt32(0x00000002)
const NO_AUTO_CAPTURE = UInt32(0x00002000)
const NO_AUTO_POSSESS = UInt32(0x00004000)
const NO_DOTSTAR_ANCHOR = UInt32(0x00008000)
const NO_JIT = UInt32(0x00002000)
const NO_START_OPTIMIZE = UInt32(0x00010000)
const NO_UTF_CHECK = UInt32(0x40000000)
const PARTIAL_HARD = UInt32(0x00000020)
const PARTIAL_SOFT = UInt32(0x00000010)
const SUBSTITUTE_EXTENDED = UInt32(0x00000200)
const SUBSTITUTE_GLOBAL = UInt32(0x00000100)
const SUBSTITUTE_OVERFLOW_LENGTH = UInt32(0x00001000)
const SUBSTITUTE_UNKNOWN_UNSET = UInt32(0x00000800)
const SUBSTITUTE_UNSET_EMPTY = UInt32(0x00000400)
const UCP = UInt32(0x00020000)
const UNGREEDY = UInt32(0x00040000)
const USE_OFFSET_LIMIT = UInt32(0x00800000)
const UTF = UInt32(0x00080000)
